import:
  - recipe/common.php
  - contrib/yarn.php

config:
  repository: 'git@gitlab.com:plush.bike/frontend.git'
  default_timeout: 5000

hosts:
  plush.bike:
    deploy_path: /var/www/plush.bike
    remote_user: deployer
    hostname: 143.198.12.180

tasks:
  deploy:
    - deploy:prepare
    - yarn:install
    - yarn:run:build
    - deploy:publish
  yarn:run:build: 
    - run: 'cd {{release_path}} && NODE_OPTIONS=--max_old_space_size=8192 yarn build'

after:
  deploy:failed: deploy:unlock
